Skip to main content

Auvious Recorder API v1.0

Base path: /rtc-recorder Endpoint rows show /api/... and are resolved under this base path.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • API Key (apiKey)
    • Parameter Name: Authorization, in: header.

Media Storage​

Verify the validity of a given storage provider profile.​

POST /rtc-recorder/api/storageproviders/{applicationId}/verify HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
applicationIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKVerification outcomes for each storage capability.StorageVerificationStatusMessage
Examples​

All checks passed and throughput metrics were produced.

{
"bucketTestResult": {
"passed": true,
"message": "OK"
},
"writeTestResult": {
"passed": true,
"message": "OK"
},
"readTestResult": {
"passed": true,
"message": "OK"
},
"modifyTestResult": {
"passed": true,
"message": "OK"
},
"deleteTestResult": {
"passed": true,
"message": "OK"
},
"throughputTestResult": {
"passed": true,
"message": "Upload 12.5 Mbps, Download 10.1 Mbps",
"bytesTransferred": 2097152,
"durationMillis": 1400,
"throughputMbps": 10.1
}
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/storageproviders/{applicationId}/verify \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Confirm that the active storage provider configuration is verified and applied.​

POST /rtc-recorder/api/storageproviders/{applicationId}/verified HTTP/1.1

Parameters​

ParameterInTypeRequiredDescription
applicationIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentStorage health marked as verified for the active configuration.None
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/storageproviders/{applicationId}/verified \
-H 'Authorization: API_KEY'

Get a client-facing status for the active storage provider configuration.​

GET /rtc-recorder/api/storageproviders/{applicationId}/status HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
applicationIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKStorage provider health status for UI display.StorageProviderStatusMessage
Examples​

200 Response

null
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/storageproviders/{applicationId}/status \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Media Recording​

Stop an existing recorder instance.​

POST /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/stop HTTP/1.1
Accept: */*

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
recorderIdpathstringtruenone
instanceIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
Response Schema​
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/stop \
-H 'Accept: */*' \ -H 'Authorization: API_KEY'

Start a new recorder instance.​

POST /rtc-recorder/api/recordings/start HTTP/1.1
Content-Type: application/json
Accept: */*

Request body​

null

Parameters​

ParameterInTypeRequiredDescription
bodybodyStartRecordingtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataEvent
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/recordings/start \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: API_KEY'

Send a cobrowse session event to an existing recorder instance.​

POST /rtc-recorder/api/recordings/cobrowse/event HTTP/1.1
Content-Type: application/json
Accept: */*

Request body​

{
"instanceId": "",
"recorderId": "",
"conversationId": "",
"event": {
"sessionId": "",
"sequenceId": "",
"timestamp": "",
"payload": ""
}
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyAddCobrowseEventCmdtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
Response Schema​
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/recordings/cobrowse/event \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: API_KEY'

Upload a conversation chat transcript to an existing recorder instance.​

POST /rtc-recorder/api/recordings/chat/transcript/add HTTP/1.1
Content-Type: application/json
Accept: */*

Request body​

{
"instanceId": "",
"recorderId": "",
"conversationId": "",
"chatTranscriptList": [
{
"id": "",
"timestamp": "",
"userId": "",
"userDisplayName": "",
"transcript": ""
}
]
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyAddChatTranscriptCmdtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
Response Schema​
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/recordings/chat/transcript/add \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: API_KEY'

Activate or reuse the recorder for a conference.​

POST /rtc-recorder/api/recordings/activate HTTP/1.1
Content-Type: application/json
Accept: */*

Request body​

null

Parameters​

ParameterInTypeRequiredDescription
bodybodyStartRecordingtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataEvent
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X POST /rtc-recorder/api/recordings/activate \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: API_KEY'

Get a list of recordings for a given conversationId.​

GET /rtc-recorder/api/recordings/{conversationId} HTTP/1.1
Accept: application/json
Accept-Version: string

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
contractquerystringfalsenone
Accept-Versionheaderarray[string]falsenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
Response Schema​
Examples​

200 Response

{}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId} \
-H 'Accept: application/json' \ -H 'Accept-Version: string' \ -H 'Authorization: API_KEY'

Get information of an existing recorder.​

GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId} HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
recorderIdpathstringtruenone
instanceIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataMessage
Examples​

200 Response

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"conferenceId": "string",
"organizationId": "string",
"storageProfile": {
"applicationId": "string",
"provider": "GOOGLE_CLOUD",
"url": "string"
},
"audio": true,
"video": true,
"screenshare": true,
"state": "INITIALISED",
"started": "string",
"recovered": "string",
"stopped": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
},
"streams": [
{
"id": "string",
"userId": "string",
"type": "MIC",
"state": "RECORDING",
"started": "string",
"stopped": "string",
"tracks": [
{
"id": "string",
"url": "string",
"type": "AUDIO",
"started": "string",
"stopped": "string",
"storage": {
"localStorage": {
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
},
"objectStorage": {
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
}
}
]
}
],
"chatTranscript": {
"id": "string",
"created": "2019-08-24T14:15:22Z",
"location": "string"
}
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId} \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Get basic storage profile information of an existing recorder.​

GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/storage/info HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
recorderIdpathstringtruenone
instanceIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKStorageProfileDataMessage
Examples​

200 Response

{
"applicationId": "string",
"provider": "GOOGLE_CLOUD",
"url": "string"
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/storage/info \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Get status of an existing recorder.​

GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/state HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
recorderIdpathstringtruenone
instanceIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataEvent
Examples​

200 Response

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"state": "INITIALISED",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/state \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Get a signed URL for a given cobrowse session file​

GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/cobrowse/{sessionId}/url/attachment HTTP/1.1
Accept: */*
referer: string

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
recorderIdpathstringtruenone
instanceIdpathstringtruenone
sessionIdpathstringtruenone
refererheaderstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKURLResourceMessage
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/{recorderId}/{instanceId}/cobrowse/{sessionId}/url/attachment \
-H 'Accept: */*' \ -H 'referer: string' \ -H 'Authorization: API_KEY'

Get the current recording for a conference​

GET /rtc-recorder/api/recordings/{conversationId}/conferences/{conferenceId}/current HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
conferenceIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataEvent
Examples​

200 Response

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"state": "INITIALISED",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/conferences/{conferenceId}/current \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Get all cobrowse sessions for a given conversationId.​

GET /rtc-recorder/api/recordings/{conversationId}/cobrowse HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathInteractionIdentifiertruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConversationCobrowseSessionDataMessage
Examples​

200 Response

{
"conversationId": "string",
"cobrowseSessions": [
{
"recorderId": "string",
"recorderInstanceId": "string",
"cobrowseSessionId": "string",
"uploaded": "string"
}
]
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/cobrowse \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Get chatTranscript of a given conversationId.​

GET /rtc-recorder/api/recordings/{conversationId}/chat/transcript HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathInteractionIdentifiertruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConversationChatTranscriptDataMessage
Examples​

200 Response

{
"chatTranscriptList": [
{
"id": "",
"timestamp": "",
"userId": "",
"userDisplayName": "",
"transcript": ""
}
]
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/chat/transcript \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Get an active recording by conversationId​

GET /rtc-recorder/api/recordings/{conversationId}/active HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataEvent
Examples​

200 Response

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"state": "INITIALISED",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/{conversationId}/active \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

getCobrowseSessionResourceAsAttachment​

GET /rtc-recorder/api/recordings/attachment/cobrowse/{conversationId}/{recorderId}/{instanceId}/{sessionId}/{fileName}?Date=string&Expires=string&Signature=string HTTP/1.1
Accept: */*
Range: string

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone
recorderIdpathstringtruenone
instanceIdpathstringtruenone
sessionIdpathstringtruenone
fileNamepathstringtruenone
Datequerystringtruenone
Expiresquerystringtruenone
Signaturequerystringtruenone
Rangeheaderstringfalsenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKstring
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/recordings/attachment/cobrowse/{conversationId}/{recorderId}/{instanceId}/{sessionId}/{fileName}?Date=string&Expires=string&Signature=string \
-H 'Accept: */*' \ -H 'Range: string' \ -H 'Authorization: API_KEY'

Media Composition​

Get recording information for a given conversationId.​

GET /rtc-recorder/api/compositions/{conversationId} HTTP/1.1
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
conversationIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRecordingDataMessage
Examples​

200 Response

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"conferenceId": "string",
"organizationId": "string",
"storageProfile": {
"applicationId": "string",
"provider": "GOOGLE_CLOUD",
"url": "string"
},
"audio": true,
"video": true,
"screenshare": true,
"state": "INITIALISED",
"started": "string",
"recovered": "string",
"stopped": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
},
"streams": [
{
"id": "string",
"userId": "string",
"type": "MIC",
"state": "RECORDING",
"started": "string",
"stopped": "string",
"tracks": [
{
"id": "string",
"url": "string",
"type": "AUDIO",
"started": "string",
"stopped": "string",
"storage": {
"localStorage": {
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
},
"objectStorage": {
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
}
}
]
}
],
"chatTranscript": {
"id": "string",
"created": "2019-08-24T14:15:22Z",
"location": "string"
}
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: apiKey

Code samples​

curl -X GET /rtc-recorder/api/compositions/{conversationId} \
-H 'Accept: application/json' \ -H 'Authorization: API_KEY'

Schemas​

StorageTestResult​

null

Outcome of a single storage verification step (bucket/write/read/modify/delete).

Properties​

NameTypeRequiredRestrictionsDescription
passedbooleanfalsenoneTrue when the verification step succeeded.
messagestringfalsenoneHuman readable summary of the verification step outcome.
errorTypestringfalsenoneCategorised error reported only when the verification step fails.
Enumerated Values​
PropertyValue
errorTypeUNKNOWN
errorTypePERMISSION_DENIED
errorTypeAUTHENTICATION_FAILED
errorTypeRATE_LIMIT
errorTypeBUCKET_NOT_FOUND
errorTypeREGION_MISMATCH

StorageThroughputResult​

null

Outcome of the throughput verification step, including transfer metrics when executed.

Properties​

NameTypeRequiredRestrictionsDescription
passedbooleanfalsenoneTrue when the verification step succeeded.
messagestringfalsenoneHuman readable summary of the verification step outcome.
errorTypestringfalsenoneCategorised error reported only when the verification step fails.
bytesTransferredinteger(int64)falsenoneTotal bytes transferred during the throughput probe (upload + download).
durationMillisinteger(int64)falsenoneTotal time spent (ms) to transfer the throughput probe.
throughputMbpsnumber(double)falsenoneEffective throughput calculated from the probe (Mbps).
Enumerated Values​
PropertyValue
errorTypeUNKNOWN
errorTypePERMISSION_DENIED
errorTypeAUTHENTICATION_FAILED
errorTypeRATE_LIMIT
errorTypeBUCKET_NOT_FOUND
errorTypeREGION_MISMATCH

StorageVerificationStatusMessage​

null

Aggregated outcome for each storage verification step.

Properties​

NameTypeRequiredRestrictionsDescription
bucketTestResultStorageTestResultfalsenoneResult of the bucket existence/readiness check.
writeTestResultStorageTestResultfalsenoneResult of the write permission check.
readTestResultStorageTestResultfalsenoneResult of the read permission check.
modifyTestResultStorageTestResultfalsenoneResult of the modify permission check.
deleteTestResultStorageTestResultfalsenoneResult of the delete permission check.
throughputTestResultStorageThroughputResultfalsenoneThroughput verification metrics (present when throughput verification runs).

StartRecording​

null

Properties​

NameTypeRequiredRestrictionsDescription
applicationIdstringtruenonenone
conversationIdstringtruenonenone
conferenceIdstringtruenonenone
audiobooleanfalsenonenone
videobooleanfalsenonenone
screenbooleanfalsenonenone

Error​

{
"code": "string",
"occurred": "string",
"message": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
codestringfalsenonenone
occurredstringfalsenonenone
messagestringfalsenonenone

RecordingDataEvent​

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"state": "INITIALISED",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}

Properties​

NameTypeRequiredRestrictionsDescription
instanceIdstringfalsenonenone
recorderIdstringfalsenonenone
conversationIdstringfalsenonenone
statestringfalsenonenone
errorErrorfalsenonenone
Enumerated Values​
PropertyValue
stateINITIALISED
stateACTIVE
stateSTOPPED
stateFAILED
stateABORTED
statePENDING_RECOVERY

AddCobrowseEventCmd​

{
"instanceId": "",
"recorderId": "",
"conversationId": "",
"event": {
"sessionId": "",
"sequenceId": "",
"timestamp": "",
"payload": ""
}
}

Properties​

NameTypeRequiredRestrictionsDescription
instanceIdstringtruenonenone
recorderIdstringtruenonenone
conversationIdstringtruenonenone
eventCobrowseEventtruenonenone

CobrowseEvent​

{
"sessionId": "",
"sequenceId": "",
"timestamp": "",
"payload": ""
}

Properties​

NameTypeRequiredRestrictionsDescription
sessionIdstringtruenonenone
sequenceIdinteger(int32)truenonenone
timestampinteger(int64)truenonenone
payloadstringtruenonenone

AddChatTranscriptCmd​

{
"instanceId": "",
"recorderId": "",
"conversationId": "",
"chatTranscriptList": [
{
"id": "",
"timestamp": "",
"userId": "",
"userDisplayName": "",
"transcript": ""
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
instanceIdstringtruenonenone
recorderIdstringtruenonenone
conversationIdstringtruenonenone
chatTranscriptList[ChatTranscriptEntry]truenonenone

ChatTranscriptEntry​

{
"id": "",
"timestamp": "",
"userId": "",
"userDisplayName": "",
"transcript": ""
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
timestampstring(date-time)truenonenone
userIdstringtruenonenone
userDisplayNamestringfalsenonenone
transcriptstringtruenonenone

StorageProviderStatusMessage​

null

Client-facing storage provider health status.

Properties​

NameTypeRequiredRestrictionsDescription
providerstringfalsenoneActive storage provider for the application.
statusstringfalsenoneClient-facing storage status.
statusMessagestringfalsenoneGeneric status message for WARNING/BLOCKED states.
Enumerated Values​
PropertyValue
providerGOOGLE_CLOUD
providerAMAZON_S3
providerAZURE_BLOB
providerSFTP_STORAGE
statusOK
statusWARNING
statusBLOCKED
statusUNKNOWN

ChatTranscriptData​

{
"id": "string",
"created": "2019-08-24T14:15:22Z",
"location": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringtruenonenone
createdstring(date-time)truenonenone
locationstringtruenonenone

LocalFileDataMessage​

{
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}

Properties​

NameTypeRequiredRestrictionsDescription
locationstringfalsenonenone
createdstringfalsenonenone
deletedstringfalsenonenone
errorErrorfalsenonenone

RecordingDataMessage​

{
"instanceId": "string",
"recorderId": "string",
"conversationId": "string",
"conferenceId": "string",
"organizationId": "string",
"storageProfile": {
"applicationId": "string",
"provider": "GOOGLE_CLOUD",
"url": "string"
},
"audio": true,
"video": true,
"screenshare": true,
"state": "INITIALISED",
"started": "string",
"recovered": "string",
"stopped": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
},
"streams": [
{
"id": "string",
"userId": "string",
"type": "MIC",
"state": "RECORDING",
"started": "string",
"stopped": "string",
"tracks": [
{
"id": "string",
"url": "string",
"type": "AUDIO",
"started": "string",
"stopped": "string",
"storage": {
"localStorage": {
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
},
"objectStorage": {
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
}
}
]
}
],
"chatTranscript": {
"id": "string",
"created": "2019-08-24T14:15:22Z",
"location": "string"
}
}

Properties​

NameTypeRequiredRestrictionsDescription
instanceIdstringfalsenonenone
recorderIdstringfalsenonenone
conversationIdstringfalsenonenone
conferenceIdstringfalsenonenone
organizationIdstringfalsenonenone
storageProfileStorageProfileDataMessagefalsenonenone
audiobooleanfalsenonenone
videobooleanfalsenonenone
screensharebooleanfalsenonenone
statestringfalsenonenone
startedstringfalsenonenone
recoveredstringfalsenonenone
stoppedstringfalsenonenone
errorErrorfalsenonenone
streams[StreamDataMessage]falsenonenone
chatTranscriptChatTranscriptDatafalsenonenone
Enumerated Values​
PropertyValue
stateINITIALISED
stateACTIVE
stateSTOPPED
stateFAILED
stateABORTED
statePENDING_RECOVERY

StorageProfileDataMessage​

{
"applicationId": "string",
"provider": "GOOGLE_CLOUD",
"url": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
applicationIdstringfalsenonenone
providerstringfalsenonenone
urlstringfalsenonenone
Enumerated Values​
PropertyValue
providerGOOGLE_CLOUD
providerAMAZON_S3
providerAZURE_BLOB
providerSFTP_STORAGE

StreamDataMessage​

{
"id": "string",
"userId": "string",
"type": "MIC",
"state": "RECORDING",
"started": "string",
"stopped": "string",
"tracks": [
{
"id": "string",
"url": "string",
"type": "AUDIO",
"started": "string",
"stopped": "string",
"storage": {
"localStorage": {
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
},
"objectStorage": {
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
}
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
userIdstringfalsenonenone
typestringfalsenonenone
statestringfalsenonenone
startedstringfalsenonenone
stoppedstringfalsenonenone
tracks[TrackDataMessage]falsenonenone
Enumerated Values​
PropertyValue
typeMIC
typeCAM
typeSCREEN
typeVIDEO
typeHOLD
typeUNKNOWN
stateRECORDING
stateSTOPPED
stateFAILED

TrackDataMessage​

{
"id": "string",
"url": "string",
"type": "AUDIO",
"started": "string",
"stopped": "string",
"storage": {
"localStorage": {
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
},
"objectStorage": {
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
urlstringfalsenonenone
typestringfalsenonenone
startedstringfalsenonenone
stoppedstringfalsenonenone
storageTrackStorageDataMessagefalsenonenone
Enumerated Values​
PropertyValue
typeAUDIO
typeVIDEO

TrackStorageDataMessage​

{
"localStorage": {
"location": "string",
"created": "string",
"deleted": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
},
"objectStorage": {
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
localStorageLocalFileDataMessagefalsenonenone
objectStorageUploadDataMessagefalsenonenone

UploadDataMessage​

{
"size": "string",
"uploaded": "string",
"location": "string",
"error": {
"code": "string",
"occurred": "string",
"message": "string"
}
}

Properties​

NameTypeRequiredRestrictionsDescription
sizestringfalsenonenone
uploadedstringfalsenonenone
locationstringfalsenonenone
errorErrorfalsenonenone

URLResourceMessage​

{
"url": "https://storage.googleapis.com/bucket/6e6d5224-1919-48fa-a982-66cef9fa4c08/7edf1e1e-0109-4d92-9bad-ab43059a28e3/ca900103-16d3-4b34-884a-003fd8b8e9ca/7edf1e1e-0109-4d92-9bad-ab43059a28e3.mp4?GoogleAccessId=rtc-recorder-gcs@auvious.iam.gserviceaccount.com&Expires=1610649825&Signature=t2f4bXWN842Z7eHHVKaMZs1KHUzcqX8EXX4QoaWinjcKrMcq1AnADJ7iV2MjLgScnJFhlFYiFosHiLNUSqbjuar9IKEtH9JTyLdvkljEzBPPrkvZ5X0XIi5%2FsEQTekwdzKmTjjGRUZWCix%2FIMbizCl0qnX6Tpi%2BbKhTD7u9PjXk1PEum2P2siAnB0s8D9sow6IDuH8%2FrKYMjCe3jb2P%2Fi6asce9xOwmNjW7lxnyLMAeydxCWyZ66kcas0wXZ5BillG%2BA9NvqvnBXKQrGV5im6%2FnleElz9JhcFS%2B2U5suXt9tok3SScbgMvSWfLQ0PyttJuKtQ%2FxTzUnvGOc5WGkTNg%3D%3D",
"validUntil": "2021-01-14T18:43:45.569343Z"
}

Properties​

NameTypeRequiredRestrictionsDescription
urlstring(url)falsenoneA signed URL of a given resource.
validUntilstringfalsenoneThe date until the given URL will remain valid.

InteractionIdentifier​

{
"id": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringtruenonenone

CobrowseSessionDataMessage​

{
"recorderId": "string",
"recorderInstanceId": "string",
"cobrowseSessionId": "string",
"uploaded": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
recorderIdstringfalsenonenone
recorderInstanceIdstringfalsenonenone
cobrowseSessionIdstringfalsenonenone
uploadedstringfalsenonenone

ConversationCobrowseSessionDataMessage​

{
"conversationId": "string",
"cobrowseSessions": [
{
"recorderId": "string",
"recorderInstanceId": "string",
"cobrowseSessionId": "string",
"uploaded": "string"
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
conversationIdstringfalsenonenone
cobrowseSessions[CobrowseSessionDataMessage]falsenonenone

ConversationChatTranscriptDataMessage​

{
"chatTranscriptList": [
{
"id": "",
"timestamp": "",
"userId": "",
"userDisplayName": "",
"transcript": ""
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
chatTranscriptList[ChatTranscriptEntry]truenonenone